# $Revision: 1.34 $, $Date: 2006/07/26 23:05:35 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Curses
%define		pnam	Curses
Summary:	Curses - terminal screen handling and optimization
Summary(pl):	Curses - obsuga i optymalizacja ekranu terminala
Name:		perl-Curses
Version:	1.14
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pnam}-%{version}.tgz
# Source0-md5:	d446947a39025e1a61512fd99ff8ff25
URL:		http://search.cpan.org/dist/Curses/
BuildRequires:	ncurses-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
"Curses" is the interface between Perl and your system's curses(3)
library.

%description -l pl
Curses to interfejs midzy Perlem a systemow bibliotek curses(3).

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{perl_vendorlib}/Curses

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Curses/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorarch}/*.pm
%dir %{perl_vendorlib}/Curses
%dir %{perl_vendorarch}/auto/Curses
%attr(755,root,root) %{perl_vendorarch}/auto/Curses/Curses.so
%{perl_vendorarch}/auto/Curses/Curses.bs
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Curses.spec,v $
Revision 1.34  2006/07/26 23:05:35  glen
- generic URL

Revision 1.33  2006/07/09 15:27:59  agaran
- up to 1.14, rel1, builds here

Revision 1.32  2005/11/26 08:50:53  charles
- updated to 1.13

Revision 1.31  2005/06/14 07:49:57  petec
- up to 1.12
- fixed %setup

Revision 1.30  2005/01/09 14:46:48  adamg
- updated to 1.08b

Revision 1.29  2004/11/11 22:12:50  paladine
- updated to 1.08

Revision 1.28  2004/11/03 22:30:14  paladine
- formatting

Revision 1.27  2004/11/01 21:49:50  adamg
- updated to 1.07
- sv_isa patch removed (already applied)

Revision 1.26  2004/05/07 00:39:41  ankry
- rel. 6

Revision 1.25  2004/05/06 18:43:07  ankry
- fixed perl-devel BR

Revision 1.24  2004/04/20 10:08:05  ankry
- new bconds

Revision 1.23  2004/04/18 23:21:48  ankry
- license/summary fixes and cosmetics

Revision 1.22  2003/11/18 15:24:41  qboosh
- removed duplicate include (reported by <glen at delfi.ee>)
- use OPTIMIZE, BR perl-devel >= 5.8 for vendordirs

Revision 1.21  2003/09/09 10:24:31  ankry
- spaces -> tab

Revision 1.20  2003/08/18 08:08:38  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.19  2003/05/28 13:00:31  malekith
- massive attack: source-md5

Revision 1.18  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/04/12 09:28:45  ankry
- release up to be higher than in RA-branch; cosmetics

Revision 1.16  2003/03/03 23:26:35  qboosh
- pl description

Revision 1.15  2003/03/02 14:28:01  radek
- added -sv_isa.patch (from MDK), provided informative summary/description

Revision 1.14  2003/03/01 18:46:57  radek
- should be ready for perl-5.8.0; release++

Revision 1.13  2003/02/25 00:38:29  radek
- use the __perl macro

Revision 1.12  2003/02/18 15:30:19  ankry
- massive attack: change CPAN URLs

Revision 1.11  2002/09/13 11:18:06  grabba
- improved BR, added perl_sitelib/Curses directory
- new %doc
- release 3, STBR

Revision 1.10  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.9  2002/03/03 21:11:40  marcus
- rel.2.

Revision 1.8  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/02/10 15:25:06  depesz
- adapterized

Revision 1.6  2002/02/09 13:59:30  depesz
- corrected paths

Revision 1.5  2002/01/18 02:14:13  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/07/30 15:59:33  kloczek
- cosmetics.

Revision 1.3  2001/07/30 13:12:00  waszi
- typo

Revision 1.2  2001/07/30 12:54:04  waszi
- fixed tags

Revision 1.1  2001/07/30 12:53:30  waszi
- added
